<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__macros__common" kind="group">
    <compoundname>group_tcpwm_macros_common</compoundname>
    <title>Macros</title>
    <innergroup refid="group__group__tcpwm__input__selection">TCPWM Input Selection</innergroup>
    <innergroup refid="group__group__tcpwm__input__modes">Input Modes</innergroup>
    <innergroup refid="group__group__tcpwm__output__trigger__modes">Output Trigger Modes</innergroup>
    <innergroup refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</innergroup>
    <innergroup refid="group__group__tcpwm__reg__const">Default registers constants</innergroup>
      <sectiondef kind="define">
      <memberdef id="group__group__tcpwm__macros__common_1gac20d09f45b8417cccfac3d17cb786f56" kind="define" prot="public" static="no">
        <name>CY_TCPWM_DRV_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="296" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="296" />
      </memberdef>
      <memberdef id="group__group__tcpwm__macros__common_1gaa498c3ce94f17af0b794720e82f4ae25" kind="define" prot="public" static="no">
        <name>CY_TCPWM_DRV_VERSION_MINOR</name>
        <initializer>10</initializer>
        <briefdescription>
<para>Driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="299" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="299" />
      </memberdef>
      <memberdef id="group__group__tcpwm__macros__common_1ga823d91f0671e708a981701d012ec6433" kind="define" prot="public" static="no">
        <name>CY_TCPWM_ID</name>
        <initializer>(<ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x2DU))</initializer>
        <briefdescription>
<para>TCPWM driver identifier. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="307" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="307" />
      </memberdef>
      <memberdef id="group__group__tcpwm__macros__common_1gaf8dc253fd9fe0f3df49cef55d4bf384f" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_STATUS_UP_POS</name>
        <initializer>(0x1U)</initializer>
        <briefdescription>
<para>Position of Up counting counter status. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="422" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="422" />
      </memberdef>
      <memberdef id="group__group__tcpwm__macros__common_1gaf34ade5ce53aa686e209eaf9a439b733" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_UP_INIT_VAL</name>
        <initializer>(0x0U)</initializer>
        <briefdescription>
<para>Initial value for the counter in the Up counting mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="424" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="424" />
      </memberdef>
      <memberdef id="group__group__tcpwm__macros__common_1ga5a6bd50428702c670ff29eb4ff3508f1" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_UP_DOWN_INIT_VAL</name>
        <initializer>(0x1U)</initializer>
        <briefdescription>
<para>Initial value for the counter in the Up/Down counting modes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="426" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="426" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>